/*
 *
 * PROBE_COPYRIGHT
 *
 * PROBE_JAVA_NAME.java
 *
 * Created on May 4, 2003, 8:03 AM
 */

import com.securitycentric.metacoretex.interfaces.*;
import com.securitycentric.metacoretex.lib.*;

import java.util.*;

/**
 *
 * @author  
 */
public class PROBE_JAVA_NAME extends AbstractCommandProbe {
    
    /** Creates a new instance of PROBE_JAVA_NAME */
    public PROBE_JAVA_NAME() {
        
        setName("PROBE_NAME");
	setFamily("PROBE_FAMILY");
        setVersion("PROBE_VERSION");
        setProbeId(PROBE_ID);
        setCopyright("PROBE_COPYRIGHT");
        setSeverity(PROBE_SEVERITY);

        addProvides("command/PROBE_CMD"); //String output of PROBE_CMD

        addOption("command","PROBE_CMD");
        addOption("args","PROBE_CMD_ARGS");
        setKbKey("command/PROBE_CMD");

        setReport("PROBE_REPORT");
        
        setHelp("PROBE_HELP");
    }
}
